package com.jy.system.model.table;


import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;
import com.jy.system.model.entity.SysRoleDept;

public class SysRoleDeptTable extends Table<SysRoleDept> {

    public static SysRoleDeptTable sys_role_dept = new SysRoleDeptTable();
    public static SysRoleDeptTable srd = sys_role_dept.as("srd");

    /**
     * 角色部门关联id
     */
    public QueryColumn id = this.field(SysRoleDept::getId);

    /**
     * 角色id
     */
    public QueryColumn roleId = this.field(SysRoleDept::getRoleId);

    /**
     * 部门id
     */
    public QueryColumn deptId = this.field(SysRoleDept::getDeptId);

    private SysRoleDeptTable() {
        super(SysRoleDept.class);
    }

    private SysRoleDeptTable(String alias) {
        super(SysRoleDept.class, alias);
    }

    public SysRoleDeptTable as(String alias) {
        return new SysRoleDeptTable(alias);
    }

}
